Aller au contenu principal
Sujet: Connection à Protonvpn impossible (Lu 173 fois) sujet précédent - sujet suivant

Connection à Protonvpn impossible

Bonjour à Tous,

J'ai installé Protonvpn-gui avec les dépôts par défaut d'opensuse leap 15.5.

Sauf qu'il ne démarre pas.
Lancé par la console il affiche tout un tas de messages pour finir par :
ModuleNotFoundError: No module named 'dataclasses'

Que se passe-t-il ?
Python 3 est installé et pourtant ça ne lui plait pas !

Merci de votre aide,
linuxement
Raymond


Re : Connection à Protonvpn impossible

Répondre #2
Bonjour Oh!rocks,

Effectivement je n'avais pas lu cette page.
Je l'ai suivi, je pense pas à pas mais je n'arrive toujours pas à me connecter.

Voilà ce que j'obtiens :
protonvpn
Traceback (most recent call last):
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 791, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (pycairo 1.15.1 (/usr/lib64/python3.6/site-packages), Requirement.parse('pycairo>=1.16.0'), {'PyGObject'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/protonvpn", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3251, in <module>
    @_call_aside
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3235, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3264, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 585, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 598, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'pycairo>=1.16.0' distribution was not found and is required by PyGObject

J'avoue ne pas comprendre car les paquets proton sont dans le magasin d'applications opensuse.

Merci de ton aide.
Linxement
Raymond